ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 9070] New: - WebLogic's ejbjar can't find a library
Date Tue, 14 May 2002 15:12:19 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=9070>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=9070

WebLogic's ejbjar can't find a library

           Summary: WebLogic's ejbjar can't find a library
           Product: Ant
           Version: 1.6Alpha (nightly)
          Platform: PC
        OS/Version: Windows NT/2K
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: Optional Tasks
        AssignedTo: ant-dev@jakarta.apache.org
        ReportedBy: christian_hargraves@hotmail.com


When I run WebLogic's ejbjar with both 1.5Beta1 and 1.6Alpha(nightly), I get 
the following message:

   [ejbjar] Unable to load dependency analyzer: org.apache.tools.ant.util.depend
.bcel.AncestorAnalyzer

I am running ant from a custom script:

#!/bin/bash
_JAVA_HOME=c:/jdk1.3.1
_COMPILER=classic

if [ -z "$JAVA_HOME" ]; then
	JAVA_HOME=$_JAVA_HOME
	echo "Using JAVA_HOME $CVS_HOME"
fi

if [ ! -d "$JAVA_HOME" ]; then
	error=true 
	echo "You either need to install jdk1.2.2 or set JAVA_HOME"
fi

if [ ! `which cvs` ]; then
        error=true
        echo "You either need to install cvs or put it in your path"
fi

if [ "$error" = "true" ]; then
	echo "CAN'T CONTINUE UNTIL THE ABOVES ERRORS ARE FIXED"
else
    if [ ! -d "../makedeps" ]; then
        DIR=`pwd`
        cd ../ 
        cvs co -r HEAD makedeps 
        cd $DIR
    fi
        
    if [ $OSTYPE = cygwin ]; then
        CP=".;../makedeps/lib/open-source/ant/junit.jar;../makedeps/lib/open-
source/ant/ant.jar;../makedeps/lib/open-
source/ant/optional.jar;$JAVA_HOME/lib/tools.jar;../makedeps/etc/dtd/iplanet;../
makedeps/etc/dtd/sun"
    else
        CP=.:../makedeps/lib/open-source/ant/junit.jar:../makedeps/lib/open-
source/ant/ant.jar:../makedeps/lib/open-
source/ant/crimson.jar:../makedeps/lib/open-
source/ant/jaxp.jar:../makedeps/lib/open-
source/ant/optional.jar:$JAVA_HOME/lib/tools.jar:../makedeps/etc/dtd/iplanet:../
makedeps/etc/dtd/sun
    fi
    $JAVA_HOME/bin/java -classpath $CP org.apache.tools.ant.Main -
Dbuild.compiler=$COMPILER -Dcvsroot=$CVSROOT $*
fi


Basically, makedeps contains the ant libraries and a bunch of xml fragments 
that everyone then includes in their build.xml file. The ejb.jar file seems to 
still be fine. I have looked in the optional.jar and 
org.apache.tools.ant.util.depend
.bcel.AncestorAnalyzer is in there.

Other than that, the build worked great!! I am doing some pretty funky stuff 
with ant 1.4.1 and so far nothing broke. Only that one error message.

I hope this helps,
Christian Hargraves

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message